import { jsx } from "react/jsx-runtime";
import { TokenPDEX as TokenPDEX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenPDEX = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "PDEX", "data-name": "TokenPDEX", ...props, children: /* @__PURE__ */ jsx(TokenPDEX$1, { variant }) });
  }
);
TokenPDEX.displayName = "TokenPDEX";
Object.assign(TokenPDEX, { isGdsIcon: true });
export {
  TokenPDEX
};
